{"id":32090,"date":"2022-01-25T14:14:41","date_gmt":"2022-01-25T14:14:41","guid":{"rendered":"https:\/\/developer.kore.ai\/v10-1\/?p=32090"},"modified":"2022-12-01T07:43:05","modified_gmt":"2022-12-01T07:43:05","slug":"proactive-notification-status-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/proactive-notification-status-api\/","title":{"rendered":"Proactive Notification Status API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>To fetch the status of Proactive Notifications API.<\/p>\n<p>&nbsp;<\/p>\n<table>\n<tbody>\n<tr>\n<td><b>Method<\/b><\/td>\n<td>POST<\/td>\n<\/tr>\n<tr>\n<td><b>Endpoint<\/b><\/td>\n<td>\n<p><span style=\"font-weight: 400\"><code>https:\/\/{{host}}\/api\/public\/bot\/{{BotID}}\/notify\/status\/{{requestId}}<\/code><\/p>\n<p><\/span><\/td>\n<\/tr>\n<tr>\n<td><b>Content Type<\/b><\/td>\n<td><code>application\/json<\/code><\/td>\n<\/tr>\n<tr>\n<td><b>Authorization<\/b><\/td>\n<td>\n<p><code>auth: {{JWT}}<\/code><\/p>\n<p>See <a href=\"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/apis\/#Generating_the_JWT_Token\" rel=\"noopener noreferrer\" target=\"_blank\">How to generate the JWT Token<\/a>.<\/td>\n<\/tr>\n<tr>\n<td><b>API Scope<\/b><\/td>\n<td>\n<ul>\n<li>Bot Builder: Proactive Messages<\/li>\n<li>Admin Console: Channel Management > Proactive Messages<\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Path_Parameters\">Path Parameters<\/span><\/h2>\n<table>\n<tbody>\n<tr>\n<th><b>Parameter<\/b><\/th>\n<th><b>Description<\/b><\/th>\n<th><b>Mandate<\/b><\/th>\n<\/tr>\n<tr>\n<td><b>host<\/b><\/td>\n<td>The environment URL. For example, <code>https:\/\/bots.kore.ai<\/code><\/td>\n<td>Required<\/td>\n<\/tr>\n<tr>\n<td><b>BotId<\/b><\/td>\n<td>\n<p><i>Bot ID<\/i> or <i>Stream ID<\/i> can be accessed under <b>General Settings<\/b>on the Bot Builder.<\/p>\n<p><b>Note<\/b>: This is required only for Bot Builder API scope of Proactive Messages.<\/td>\n<td>Required<\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\"><b>requestId<\/b><\/span><\/td>\n<td>The unique \u2018Request ID\u2019 returned by the Proactive Notifications API to track the progress.<\/td>\n<td>Required<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h2>\n<pre>curl --\r\nGET \\ 'https:\/\/{{host}}\/api\/public\/bot\/{{BotID}}\/notify\/status\/{{requestId}}' \\\r\n--header 'auth: {{JWT}}' \\\r\n--header 'Content-Type: application\/json'\r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Body_Parameters\">Body Parameters<\/span><\/h2>\n<p>No body parameters are passed.<\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h2>\n<pre class=\"code-limit-400px\">{\r\n    \"_id\": \"ds-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\r\n    \"status\": \"PARTIAL_SUCCESS\", \/\/ <\/strong>can be \u201cSUCCESS\u201d \/ \u201cFAILURE\u201d \/ \u201cPARTIAL_SUCCESS<\/strong>\u201d\r\n    \"percentageComplete\": 100,\r\n    \"streamId\": \"st-xxxxx-xxx-xxx-xxx-xxxxx\",\r\n    \"createdBy\": \"u-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\r\n    \"jobType\": \"PROACTIVE_NOTIFICATIONS_API\",\r\n    \"action\": \"PROACTIVE_NOTIFICATIONS\",\r\n    \"statusLogs\": [\r\n        {\r\n            \"_id\": \"nl-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\r\n            \"requestId\": \"ds-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\r\n            \"originalId\": \"john@abc.com\",\r\n            \"status\": \"FAILURE\",\r\n            \"createdBy\": \"u-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\r\n            \"comments\": \"'Identity is not associated with the channel'\",\r\n            \"streamId\": \"st-xxxxx-xxx-xxx-xxx-xxxxx\",\r\n            \"channel\": \"msteams\",\r\n            \"createdOn\": \"2022-01-24T20:55:21.918Z\",\r\n            \"__v\": 0\r\n        },\r\n        {\r\n            \"_id\": \"nl-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\r\n            \"requestId\": \"ds-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\u201d,\r\n            \"createdBy\": \"u-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\r\n            \"channel\": \"msteams\",\r\n            \"comments\": \"Notification has been sent successfully\",\r\n            \"streamId\": \"st-xxxxx-xxx-xxx-xxx-xxxxx\",\r\n            \"koreId\": \"u-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\r\n            \"channelId\": \"29:1964-sxxxxxxxxxxxx-1MxxxxxxxxxxxxxxLqSODuQ\",\r\n            \"messagestoreId\": \"ms-xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxx\",\r\n            \"originalId\": \"john@abc.com\",\r\n            \"status\": \"SUCCESS\",\r\n            \"createdOn\": \"2022-01-24T20:55:23.029Z\",\r\n            \"__v\": 0\r\n        }\r\n    ],\r\n    \"lMod\": \"2022-01-24T20:55:23.000Z\",\r\n    \"createdOn\": \"2022-01-24T20:55:21.254Z\",\r\n    \"requestedTime\": \"2022-01-24T20:55:21.254Z\",\r\n    \"__v\": 0,\r\n    \"count\": 2\r\n}\r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section><section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t\r\n\t\t<\/div>\r\n\t<\/div>\r\n<\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"To fetch the status of Proactive Notifications API. &nbsp; Method POST Endpoint https:\/\/{{host}}\/api\/public\/bot\/{{BotID}}\/notify\/status\/{{requestId}} Content Type application\/json Authorization auth: {{JWT}} See How to generate the JWT Token. API Scope Bot Builder: Proactive Messages Admin Console: Channel Management > Proactive Messages &nbsp; Path Parameters Parameter Description Mandate host The environment URL. For example, https:\/\/bots.kore.ai Required BotId Bot...","protected":false},"author":17,"featured_media":0,"comment_status":"open","ping_status":"open","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-32090","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/32090","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/users\/17"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/comments?post=32090"}],"version-history":[{"count":6,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/32090\/revisions"}],"predecessor-version":[{"id":49418,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/32090\/revisions\/49418"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/media?parent=32090"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/categories?post=32090"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/tags?post=32090"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}